Skip to main content
POST
Create or update a mesa override

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

id
integer
required

Mesa ID

Body

application/json
action
enum<string> | null
required
Available options:
include,
exclude,
null
Example:

"include"

operation_id
integer | null
Example:

88

override_id
integer | null
fx_override
number | null
side
enum<string> | null
Available options:
buy,
sell
local_amount
number | null
fx
number | null
trade_date
string<date-time> | null
note
string | null
Example:

"keep this FX"

Response

Saved override, or { deleted: true } when action is null

Include/exclude or fabricate a trade. created_by is null for API-key writes.

id
integer
Example:

9

mesa_id
integer
Example:

1

operation_id
integer | null
Example:

88

action
enum<string>
Available options:
include,
exclude
fx_override
number | null
side
enum<string> | null
Available options:
buy,
sell
local_amount
number | null
fx
number | null
trade_date
string<date-time> | null
note
string | null
created_by
integer | null
Example:

null

created_at
string<date-time>
updated_at
string<date-time>